# Event

Source: https://docs.gocardless.com/docs/api-reference/event

## List events

`GET /events`

Returns a [cursor-paginated](#api-usage-cursor-pagination) list of your events.
<p class="notice"><strong>Important</strong>: This endpoint will no longer return events older than 18 months, including when filtering by resource. This takes effect no sooner than 1 August 2026 in sandbox environments, and no sooner than 1 October 2026 in live environments.</p>

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get a single event

`GET /events/{event_id}`

Retrieves the details of a single event.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `event_id` | path | string | Yes | The event id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
